%% SIDLOC - Requirement URLs
%% Copyright (C) 2022 Libre Space Foundation
%%
%% This work is licensed under a
%% Creative Commons Attribution-ShareAlike 4.0 International License.
%%
%% You should have received a copy of the license along with this
%% work.  If not, see <http://creativecommons.org/licenses/by-sa/4.0/>.

\newcommand{\requrl}[1]{\href{https://gitlab.com/librespacefoundation/sidloc/sidloc-requirements/-/issues/#1}}
\newcommand{\req}[1]{\requrl{#1}{REQ-\ifnum#1<100 0\fi\ifnum#1<10 0\fi#1}}
\newcommand{\reqshort}[1]{\requrl{#1}{-\ifnum#1<100 0\fi\ifnum#1<10 0\fi#1}}
\newcommand{\reqcomprec}[3]{\reqshort{#1} & \makecell{%
    \ifcsname r@req:#1\endcsname\else
    \ifcsname r@req:#1a\endcsname\else
    \ifcsname r@req:#1b\endcsname\else
    \ifcsname r@req:#1c\endcsname\else
    \ifcsname r@req:#1d\endcsname\else
    \ifcsname r@req:#1e\endcsname\else
    \ifcsname r@req:#1f\endcsname\else
    \ifcsname r@req:#1g\endcsname\else
    \ifcsname r@req:#1h\endcsname\else
    \ifcsname r@req:#1i\endcsname\else
    \ifcsname r@req:#1j\endcsname\else
    ---
    \fi\fi\fi\fi\fi\fi\fi\fi\fi\fi\fi
    \ifcsname r@req:#1\endcsname\ref{req:#1} \\\fi
    \ifcsname r@req:#1a\endcsname\ref{req:#1a} \\\fi
    \ifcsname r@req:#1b\endcsname\ref{req:#1b} \\\fi
    \ifcsname r@req:#1c\endcsname\ref{req:#1c} \\\fi
    \ifcsname r@req:#1d\endcsname\ref{req:#1d} \\\fi
    \ifcsname r@req:#1e\endcsname\ref{req:#1e} \\\fi
    \ifcsname r@req:#1f\endcsname\ref{req:#1f} \\\fi
    \ifcsname r@req:#1g\endcsname\ref{req:#1g} \\\fi
    \ifcsname r@req:#1h\endcsname\ref{req:#1h} \\\fi
    \ifcsname r@req:#1i\endcsname\ref{req:#1i} \\\fi
    \ifcsname r@req:#1j\endcsname\ref{req:#1j} \\\fi
  }%
  & #2 & #3}
